iCalendlyDeveloper Docs
Schedules

GETGet a schedule

Retrieves the detailed configuration and time slots of a specific availability schedule.

GET/v2/schedules/{scheduleId}

Path Parameters

scheduleIdRequirednumber

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

ical-api-versionRequiredstring

Must be set to 2024-06-11. If not set to this value, the endpoint will default to an older version.

Default: "2024-06-11"
curl -X GET "https://example.com/v2/schedules/0" \
  -H "Authorization: <string>" \
  -H "ical-api-version: 2024-06-11"

{
  "status": "success",
  "data": {
    "id": 254,
    "ownerId": 478,
    "name": "Catch up hours",
    "timeZone": "Europe/Rome",
    "availability": [
      {
        "days": [
          "Monday",
          "Tuesday"
        ],
        "startTime": "17:00",
        "endTime": "19:00"
      },
      {
        "days": [
          "Wednesday",
          "Thursday"
        ],
        "startTime": "16:00",
        "endTime": "20:00"
      }
    ],
    "isDefault": true,
    "overrides": [
      {
        "date": "2024-05-20",
        "startTime": "18:00",
        "endTime": "21:00"
      }
    ]
  },
  "error": {}
}